Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
Class GroovyScriptEngineImpl

    java.lang.Object
      javax.script.AbstractScriptEngine
          org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

All Implemented Interfaces:
  Compilable

    class GroovyScriptEngineImpl
    extends AbstractScriptEngine

Field Summary

Fields inherited from class AbstractScriptEngine
ARGV, FILENAME, ENGINE, ENGINE_VERSION, NAME, LANGUAGE, LANGUAGE_VERSION

Constructor Summary
`GroovyScriptEngineImpl()`

Method Summary
`CompiledScript` | `compile(String scriptSource)`
`CompiledScript` | `compile(Reader reader)`
`Bindings` | `createBindings()`
`Object` | `eval(Reader reader, ScriptContext ctx)`
`Object` | `eval(String script, ScriptContext ctx)`
`Object` | `eval(Class scriptClass, ScriptContext ctx)`
`ScriptEngineFactory` | `getFactory()`
`T` | `getInterface(Class clasz)`
`T` | `getInterface(Object thiz, Class clasz)`
`Class` | `getScriptClass(String script)`
`Object` | `invokeFunction(String name, Object args)`
`Object` | `invokeMethod(Object thiz, String name, Object args)`

Methods inherited from class AbstractScriptEngine
get, put, getContext, eval, eval, eval, eval, getBindings, setBindings, setContext, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, getFactory, eval, eval, createBindings

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyScriptEngineImpl

    public GroovyScriptEngineImpl()

Method Detail

### compile

    public CompiledScript compile(String scriptSource)

### compile

    public CompiledScript compile(Reader reader)

### createBindings

    public Bindings createBindings()

### eval

    public Object eval(Reader reader, ScriptContext ctx)

### eval

    public Object eval(String script, ScriptContext ctx)

### eval

    public Object eval(Class scriptClass, ScriptContext ctx)

### getFactory

    public ScriptEngineFactory getFactory()

### getInterface

    public T getInterface(Class clasz)

### getInterface

    public T getInterface(Object thiz, Class clasz)

### getScriptClass

    public Class getScriptClass(String script)

### invokeFunction

    public Object invokeFunction(String name, Object args)

### invokeMethod

    public Object invokeMethod(Object thiz, String name, Object args)

Copyright © 2003-2009 The Codehaus. All rights reserved.